## PolkitDetails PolkitDetails — Object used for passing details |

## Stability Level

Stable, unless otherwise indicated

## Functions

PolkitDetails * | polkit_details_new ()
const gchar * | polkit_details_lookup ()
void | polkit_details_insert ()
gchar ** | polkit_details_get_keys ()

## Types and Values

| PolkitDetails

## Object Hierarchy

        GObject
        ╰── PolkitDetails

## Description

An object used for passing details around.

## Functions

### polkit_details_new ()

    PolkitDetails *
    polkit_details_new (void);

Creates a new PolkitDetails object.

#### Returns

A PolkitDetails object. Free with `g_object_unref()`.

### polkit_details_lookup ()

    const gchar *
    polkit_details_lookup (PolkitDetails *details,
                           const gchar *key);

Gets the value for `key` on `details` .

#### Parameters

details | A PolkitDetails. |
key | A key. |

#### Returns

`NULL` if there is no value for `key` , otherwise a string owned by `details` .

[allow-none]

### polkit_details_insert ()

    void
    polkit_details_insert (PolkitDetails *details,
                           const gchar *key,
                           const gchar *value);

Inserts a copy of `key` and `value` on `details` .

If `value` is `NULL`, the key will be removed.

#### Parameters

details | A PolkitDetails. |
key | A key. |
value | A value. | [allow-none]

### polkit_details_get_keys ()

    gchar **
    polkit_details_get_keys (PolkitDetails *details);

Gets a list of all keys on `details` .

#### Parameters

details | A PolkitDetails. |

#### Returns

`NULL` if there are no keys otherwise an array of strings that should be freed with `g_strfreev()`.

[transfer full][allow-none]

## Types and Values

### PolkitDetails

    typedef struct _PolkitDetails PolkitDetails;

The PolkitDetails struct should not be accessed directly.